<template>
  <div class="form-field">
    <label :for="id">{{ label }}</label>
    <input :value="modelValue"
           @input="$emit('update:modelValue', $event.target.value)"
           :type="type" :id="id" :required="required">
    <Error v-if="error" :value="error" />
  </div>
</template>

<script>
import Error from '../atoms/Error.vue';

export default {
  name: 'FormField',
  components: { Error },
  props: ['id', 'modelValue', 'label', 'type', 'required', 'error'],
};
</script>

<style scoped lang="scss">

.form-field {
  font-family: 'Roboto', sans-serif;

  label, input {
    display: block;
  }

  label {
    font-size: 2em;
    margin: 20px 0 10px 0;
    color: $custom_green;
  }

  input {
    background-color: #F2F2F2;
    color: $custom_gray;
    font-size: 1.6em;
    width: 300px;
    height: 47px;
    margin-bottom: 10px;
    border-radius: 6px;
    line-height: 2;
    padding: 0 10px;
  }
}
</style>
